# Ensys srl
# 
# Questo esempio recupera i dati raw dall'accelerometro installato nella IndRsp
# 
# Verificare di aver abilitato la porta I2C0, ad esempio integrando nel file
# 	/boot/config.txt 
# le seguenti righe:
# 	#i2c0 - periferiche
# 	dtparam=i2c0=on
# 	dtoverlay=i2c0-bcm2708,pins_28_29
#  
# Per eseguire questo script utilizzare il comando:
# 	python3 lis3de.py

import smbus
import time

i2c0 = smbus.SMBus(0)

HD__DEV__ADDR = 0x29
HD__ID__ADDR = 0x0F
HD__ID__VAL = 0x33

def i2c__byte_read_byte(add):
    i2c0.write_byte(HD__DEV__ADDR, add)
    number = i2c0.read_byte(HD__DEV__ADDR)
    return number

def i2c__byte_write_byte(add, val):
    i2c0.write_byte(HD__DEV__ADDR, add)
    i2c0.write_byte(HD__DEV__ADDR, val)
    return
    
while True:
	id_chip = i2c__byte_read_byte(HD__ID__ADDR)
	if(id_chip==HD__ID__VAL):
		print("OK, trovato LIS3DE!\n")
		
		i2c__byte_write_byte(0x20, 0x27)
		
		while(1):
			status = i2c__byte_read_byte(0x27)
			
			if(status):
				acc_x = i2c__byte_read_byte(0x29)
				acc_y = i2c__byte_read_byte(0x2B)
				acc_z = i2c__byte_read_byte(0x2D)
				
				print(acc_x, acc_y, acc_z)

		
	time.sleep(1)

#End of the Script
